geometry.h File Reference

Data structures related to geometric objects. More...

`#include <string>`

Go to the source code of this file.

## Classes

struct | libcamera::Rectangle
| Describe a rectangle's position and dimensions. More...
struct | libcamera::Size
| Describe a two-dimensional size. More...
struct | libcamera::SizeRange
| Describe a range of sizes. More...

## Functions

bool | libcamera::operator== (const Rectangle &lhs, const Rectangle &rhs)
| Compare rectangles for equality. More...
bool | libcamera::operator== (const Size &lhs, const Size &rhs)
| Compare sizes for equality. More...
bool | libcamera::operator< (const Size &lhs, const Size &rhs)
| Compare sizes for smaller than order. More...
bool | libcamera::operator== (const SizeRange &lhs, const SizeRange &rhs)
| Compare size ranges for equality. More...

## Detailed Description

Data structures related to geometric objects.

## Function Documentation

## operator<()

bool libcamera::operator< | ( | const Size & | lhs,
|  | const Size & | rhs
| ) |  |

Compare sizes for smaller than order.

Sizes are compared on three criteria, in the following order.

- A size with smaller width and smaller height is smaller.
- A size with smaller area is smaller.
- A size with smaller width is smaller.

Returns
  True if lhs is smaller than rhs, false otherwise

## operator==() [1/3]

bool libcamera::operator== | ( | const Rectangle & | lhs,
|  | const Rectangle & | rhs
| ) |  |

Compare rectangles for equality.

Returns
  True if the two rectangles are equal, false otherwise

## operator==() [2/3]

bool libcamera::operator== | ( | const Size & | lhs,
|  | const Size & | rhs
| ) |  |

Compare sizes for equality.

Returns
  True if the two sizes are equal, false otherwise

## operator==() [3/3]

bool libcamera::operator== | ( | const SizeRange & | lhs,
|  | const SizeRange & | rhs
| ) |  |

Compare size ranges for equality.

Returns
  True if the two size ranges are equal, false otherwise